Bug 115844 - request_module: failed /sbin/modprobe
request_module: failed /sbin/modprobe
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: modutils (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 12:07 EST by Dimitri Papadopoulos
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 12:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri Papadopoulos 2004-02-16 12:07:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.6) Gecko/20040113

Description of problem:
Hi,

I get there warnings while a Dell Latitude CPx laptop boots:

request_module: failed /sbin/modprobe -- char-major-4-72. error = 256
request_module: failed /sbin/modprobe -- char-major-4-87. error = 256
request_module: failed /sbin/modprobe -- char-major-188. error = 256

I'm not sure what additional information is needed, please do not
hesitate to ask for additional information.


Version-Release number of selected component (if applicable):
modutils-2.4.26-3

How reproducible:
Always

Additional info:
Comment 1 Bill Nottingham 2004-02-16 14:08:47 EST
The first two, some app tried to open /dev/ttyS8 and /dev/ttyS23, for
some odd reason.

The second one is cups looking for USB printers.
Comment 2 Bill Nottingham 2004-04-15 22:22:21 EDT
Without knowing what apps called it, I really can't determine where to
assign this. Do these continue?
Comment 3 Dimitri Papadopoulos 2004-04-16 08:56:28 EDT
It's hard to tell. I've upgraded to test 2 and I have a hard time
working with it. I cannot login but as root, and I see lots of
messages from SELinux. Maybe some of the messages in /var/log/dmesg
are related to the old ones:

audit(1082119368.000.0): avc:  denied { getattr } for pid=17
exe=/bin/bash path=/proc/sys/kernel/modprobe dev= ino=4150
scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:sysctl_modprobe_t tclass=file

audit(1082119368.004.0): avc:  denied { write } for pid=130
exe=/bin/sysctl name=modprobe dev= ino=4150
scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:sysctl_modprobe_t tclass=file

In any case I don't see the original messages anymore.
Comment 4 Bill Nottingham 2004-04-16 12:47:43 EDT
OK, resolving for now. SELinux messages are generally related to the
policy package.

Note You need to log in before you can comment on or make changes to this bug.